# Class PathData

java.lang.Object
org.eclipse.swt.graphics.PathData

public final class PathData extends Object
Instances of this class describe device-independent paths.

Since:
  2.1
See Also:
  - `Path`

## Field Summary

Fields
Modifier and Type
Field
Description
`float[]`
`points`
The points of a path.
`byte[]`
`types`
The type of each point.

## Constructor Summary

Constructors
Constructor
Description
`PathData()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### types

public byte[] types
The type of each point.

### points

public float[] points
The points of a path.

## Constructor Details

### PathData

public PathData()